package com.kingdee.eas.custom.esign;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class SealCollection extends AbstractObjectCollection 
{
    public SealCollection()
    {
        super(SealInfo.class);
    }
    public boolean add(SealInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(SealCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(SealInfo item)
    {
        return removeObject(item);
    }
    public SealInfo get(int index)
    {
        return(SealInfo)getObject(index);
    }
    public SealInfo get(Object key)
    {
        return(SealInfo)getObject(key);
    }
    public void set(int index, SealInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(SealInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(SealInfo item)
    {
        return super.indexOf(item);
    }
}